﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DS_AsientosDescua" targetNamespace="http://tempuri.org/DS_AsientosDescua.xsd" xmlns:mstns="http://tempuri.org/DS_AsientosDescua.xsd" xmlns="http://tempuri.org/DS_AsientosDescua.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="SIMF_CONTAConnectionString" IsAppSettingsProperty="true" Modifier="Assembly" Name="SIMF_CONTAConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Sistemas_Gerenciales.MySettings.GlobalReference.Default.SIMF_CONTAConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MasientosTableAdapter" GeneratorDataComponentClassName="MasientosTableAdapter" Name="Masientos" UserDataComponentName="MasientosTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="SIMF_CONTAConnectionString (MySettings)" DbObjectName="SIMF_CONTA.dbo.Masientos" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Masientos] WHERE (([numeasiento] = @Original_numeasiento) AND ((@IsNull_fechaasiento = 1 AND [fechaasiento] IS NULL) OR ([fechaasiento] = @Original_fechaasiento)) AND ((@IsNull_descasiento = 1 AND [descasiento] IS NULL) OR ([descasiento] = @Original_descasiento)) AND ((@IsNull_debelocal = 1 AND [debelocal] IS NULL) OR ([debelocal] = @Original_debelocal)) AND ((@IsNull_haberlocal = 1 AND [haberlocal] IS NULL) OR ([haberlocal] = @Original_haberlocal)) AND ([anomes] = @Original_anomes) AND ([numemov] = @Original_numemov))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_numeasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="numeasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_fechaasiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_fechaasiento" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_descasiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_descasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_debelocal" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_debelocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_haberlocal" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_haberlocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_anomes" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="anomes" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_numemov" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="numemov" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Masientos] ([numeasiento], [fechaasiento], [descasiento], [debelocal], [haberlocal], [anomes], [numemov]) VALUES (@numeasiento, @fechaasiento, @descasiento, @debelocal, @haberlocal, @anomes, @numemov);
SELECT numeasiento, fechaasiento, descasiento, debelocal, haberlocal, anomes, numemov, debelocal - haberlocal AS Descuadre FROM Masientos WHERE (anomes = @anomes) AND (numeasiento = @numeasiento) AND (numemov = @numemov)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@numeasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="numeasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@fechaasiento" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@descasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@debelocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@haberlocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@anomes" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="anomes" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@numemov" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="numemov" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        numeasiento, fechaasiento, descasiento, debelocal, haberlocal, anomes, numemov, debelocal - haberlocal AS Descuadre
FROM            Masientos
WHERE        (debelocal - haberlocal) &lt;&gt; 0</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Masientos] SET [numeasiento] = @numeasiento, [fechaasiento] = @fechaasiento, [descasiento] = @descasiento, [debelocal] = @debelocal, [haberlocal] = @haberlocal, [anomes] = @anomes, [numemov] = @numemov WHERE (([numeasiento] = @Original_numeasiento) AND ((@IsNull_fechaasiento = 1 AND [fechaasiento] IS NULL) OR ([fechaasiento] = @Original_fechaasiento)) AND ((@IsNull_descasiento = 1 AND [descasiento] IS NULL) OR ([descasiento] = @Original_descasiento)) AND ((@IsNull_debelocal = 1 AND [debelocal] IS NULL) OR ([debelocal] = @Original_debelocal)) AND ((@IsNull_haberlocal = 1 AND [haberlocal] IS NULL) OR ([haberlocal] = @Original_haberlocal)) AND ([anomes] = @Original_anomes) AND ([numemov] = @Original_numemov));
SELECT numeasiento, fechaasiento, descasiento, debelocal, haberlocal, anomes, numemov, debelocal - haberlocal AS Descuadre FROM Masientos WHERE (anomes = @anomes) AND (numeasiento = @numeasiento) AND (numemov = @numemov)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@numeasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="numeasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@fechaasiento" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@descasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@debelocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@haberlocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@anomes" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="anomes" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@numemov" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="numemov" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_numeasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="numeasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_fechaasiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_fechaasiento" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="fechaasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_descasiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_descasiento" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="descasiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_debelocal" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_debelocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="debelocal" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_haberlocal" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_haberlocal" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="haberlocal" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_anomes" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="anomes" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_numemov" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="numemov" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="numeasiento" DataSetColumn="numeasiento" />
              <Mapping SourceColumn="fechaasiento" DataSetColumn="fechaasiento" />
              <Mapping SourceColumn="descasiento" DataSetColumn="descasiento" />
              <Mapping SourceColumn="debelocal" DataSetColumn="debelocal" />
              <Mapping SourceColumn="haberlocal" DataSetColumn="haberlocal" />
              <Mapping SourceColumn="anomes" DataSetColumn="anomes" />
              <Mapping SourceColumn="numemov" DataSetColumn="numemov" />
              <Mapping SourceColumn="Descuadre" DataSetColumn="Descuadre" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DS_AsientosDescua" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DS_AsientosDescua" msprop:Generator_UserDSName="DS_AsientosDescua">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Masientos" msprop:Generator_TableClassName="MasientosDataTable" msprop:Generator_TableVarName="tableMasientos" msprop:Generator_RowChangedName="MasientosRowChanged" msprop:Generator_TablePropName="Masientos" msprop:Generator_RowDeletingName="MasientosRowDeleting" msprop:Generator_RowChangingName="MasientosRowChanging" msprop:Generator_RowEvHandlerName="MasientosRowChangeEventHandler" msprop:Generator_RowDeletedName="MasientosRowDeleted" msprop:Generator_RowClassName="MasientosRow" msprop:Generator_UserTableName="Masientos" msprop:Generator_RowEvArgName="MasientosRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="numeasiento" msprop:Generator_ColumnVarNameInTable="columnnumeasiento" msprop:Generator_ColumnPropNameInRow="numeasiento" msprop:Generator_ColumnPropNameInTable="numeasientoColumn" msprop:Generator_UserColumnName="numeasiento">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="fechaasiento" msprop:Generator_ColumnVarNameInTable="columnfechaasiento" msprop:Generator_ColumnPropNameInRow="fechaasiento" msprop:Generator_ColumnPropNameInTable="fechaasientoColumn" msprop:Generator_UserColumnName="fechaasiento" type="xs:dateTime" minOccurs="0" />
              <xs:element name="descasiento" msprop:Generator_ColumnVarNameInTable="columndescasiento" msprop:Generator_ColumnPropNameInRow="descasiento" msprop:Generator_ColumnPropNameInTable="descasientoColumn" msprop:Generator_UserColumnName="descasiento" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="150" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="debelocal" msprop:Generator_ColumnVarNameInTable="columndebelocal" msprop:Generator_ColumnPropNameInRow="debelocal" msprop:Generator_ColumnPropNameInTable="debelocalColumn" msprop:Generator_UserColumnName="debelocal" type="xs:decimal" minOccurs="0" />
              <xs:element name="haberlocal" msprop:Generator_ColumnVarNameInTable="columnhaberlocal" msprop:Generator_ColumnPropNameInRow="haberlocal" msprop:Generator_ColumnPropNameInTable="haberlocalColumn" msprop:Generator_UserColumnName="haberlocal" type="xs:decimal" minOccurs="0" />
              <xs:element name="anomes" msprop:Generator_ColumnVarNameInTable="columnanomes" msprop:Generator_ColumnPropNameInRow="anomes" msprop:Generator_ColumnPropNameInTable="anomesColumn" msprop:Generator_UserColumnName="anomes" type="xs:int" />
              <xs:element name="numemov" msprop:Generator_ColumnVarNameInTable="columnnumemov" msprop:Generator_ColumnPropNameInRow="numemov" msprop:Generator_ColumnPropNameInTable="numemovColumn" msprop:Generator_UserColumnName="numemov" type="xs:int" />
              <xs:element name="Descuadre" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnDescuadre" msprop:Generator_ColumnPropNameInRow="Descuadre" msprop:Generator_ColumnPropNameInTable="DescuadreColumn" msprop:Generator_UserColumnName="Descuadre" type="xs:decimal" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Masientos" />
      <xs:field xpath="mstns:numeasiento" />
      <xs:field xpath="mstns:anomes" />
      <xs:field xpath="mstns:numemov" />
    </xs:unique>
  </xs:element>
</xs:schema>